package math.fibo;

import java.math.*;
import java.util.*;
import math.utils.*;

public class Fibo09 {
	public static void main(String[] args) {
		BigInteger b = new BigInteger("999999");
		Util.print(b);
		ArrayList<BigInteger> al = FiboUtil.rozklad(b);
		ArrayUtil.print(al);
	}
}
